import * as mc from "@minecraft/server";
import { NAMESPACE } from "../anvilConstants";
import { restoreInventory } from "../inventoryManager/restoreInventory";
import { saveInventory } from "../inventoryManager/saveInventory";
export function saveBackpackContainer(data) {
    if (data.id === `${NAMESPACE}:backpack_pickup`) {
        const entity = data.sourceEntity;
        const id = entity?.getDynamicProperty(`${NAMESPACE}:backpack_container_id`);
        const itemsSaved = saveInventory(entity, id);
        const item = new mc.ItemStack(`${NAMESPACE}:backpack`, 1);
        item.setDynamicProperty(`${NAMESPACE}:backpack_container_id`, id);
        item.setLore([`Items: ${itemsSaved}`]);
        entity.dimension.spawnItem(item, entity.location);
        entity.remove();
    }
}
export function backpackPlaceEvent(data) {
    const itemStack = data.itemStack;
    if (itemStack && itemStack.typeId === `${NAMESPACE}:backpack`) {
        const block = data.block;
        const id = itemStack.getDynamicProperty(`${NAMESPACE}:backpack_container_id`);
        const backpack = block.dimension.getEntities({ location: block.location, type: `${NAMESPACE}:backpack_entity`, closest: 1 })[0];
        backpack.setDynamicProperty(`${NAMESPACE}:backpack_container_id`, id ?? backpack.id);
        if (id) {
            restoreInventory(backpack, id);
        }
    }
}
