import { NAMESPACE } from "./anvilConstants";
export const dnaExtractor = `${NAMESPACE}:dna_extractor`;
export const dnaExtract = `${NAMESPACE}:dna_extract`;
export const centrifuge = `${NAMESPACE}:centrifuge`;
export const tranquilizingSniper = `${NAMESPACE}:tranquilizing_sniper`;
export const electricGun = `${NAMESPACE}:electric_gun`;
export const electricCharge = `${NAMESPACE}:electric_charge`;
export const electricChargeProjectile = `${NAMESPACE}:electric_charge_projectile`;
export const dinoEgg = `${NAMESPACE}:dino_egg`;
export const meteor = `${NAMESPACE}:meteor`;
export const syringeEmpty = `${NAMESPACE}:syringe_empty`;
export const syringeHalf = `${NAMESPACE}:syringe_half`;
export const syringeFull = `${NAMESPACE}:syringe_full`;
export const syringeReady = `${NAMESPACE}:syringe_ready`;
export const unmorphSyringe = `${NAMESPACE}:unmorph_syringe`;
export const morphAttackId = `${NAMESPACE}:morph_attack`;
export const morphRoarId = `${NAMESPACE}:morph_roar`;
export const morphSprintId = `${NAMESPACE}:morph_sprint`;
export const morphChargeId = `${NAMESPACE}:morph_charge`;
export const morphSleepId = `${NAMESPACE}:morph_sleep`;
export const dinoList = {
    acrocanthosaurus: {
        name: "Acrocanthosaurus",
        offset: { x: 2, y: 1, z: -3.5 },
        attack_animation: "attack_on_land",
        attack_delay: 0.9,
        damage: 20,
        roar: "roar",
        can_sprint: true,
        can_sleep: true,
        attack_range: 8
    },
    allosaurus: {
        name: "Allosaurus",
        offset: { x: 2, y: 1, z: -3.5 },
        attack_animation: "attack_on_land",
        attack_delay: 0.87,
        damage: 22,
        roar: "roar",
        can_sprint: true,
        can_sleep: true,
        attack_range: 8
    },
    ankylosaurus: {
        name: "Ankylosaurus",
        offset: { x: 1.5, y: 0.6, z: -3.5 },
        attack_animation: "attack_on_land",
        attack_delay: 1.04,
        damage: 28,
        roar: undefined,
        can_sprint: false,
        can_charge: true,
        can_sleep: true,
        attack_range: 8
    },
    atrociraptor: {
        name: "Atrociraptor",
        offset: { x: 1, y: 0.6, z: -2 },
        attack_animation: "attack_on_land_morph",
        attack_delay: 0.25,
        damage: 12,
        roar: undefined,
        can_sprint: true,
        can_sleep: true,
        attack_range: 6
    },
    baryonyx: {
        name: "Baryonyx",
        offset: { x: 1.5, y: 0.6, z: -3.5 },
        attack_animation: "attack_on_land_morph",
        attack_delay: 0.79,
        damage: 18,
        roar: "roar",
        can_sprint: true,
        can_sleep: true,
        attack_range: 8
    },
    brachiosaurus: {
        name: "Brachiosaurus",
        offset: { x: 5, y: 6, z: -8 },
        attack_animation: "attack_on_land",
        attack_delay: 1.66,
        damage: 40,
        roar: "roar",
        can_sprint: false,
        can_charge: true,
        can_sleep: true,
        attack_range: 14
    },
    carnotaurus: {
        name: "Carnotaurus",
        offset: { x: 1.5, y: 1, z: -3.5 },
        attack_animation: "attack_on_land_morph",
        attack_delay: 0.45,
        damage: 18,
        roar: "roar",
        can_sprint: true,
        can_sleep: true,
        attack_range: 10
    },
    ceratosaurus: {
        name: "Ceratosaurus",
        offset: { x: 1.5, y: 1, z: -3.5 },
        attack_animation: "attack_on_land_morph",
        attack_delay: 0.33,
        damage: 18,
        roar: "roar",
        can_sprint: true,
        can_sleep: true,
        attack_range: 8
    },
    compsognathus: {
        name: "Compsognathus",
        offset: { x: 1, y: 0.6, z: -2 },
        attack_animation: "attack_on_land",
        attack_delay: 0.29,
        damage: 4,
        roar: undefined,
        can_sprint: true,
        can_sleep: true,
        attack_range: 4
    },
    deinosuchus: {
        name: "Deinosuchus",
        offset: { x: 1.5, y: 1, z: -3.5 },
        attack_animation: "attack_on_land_morph",
        attack_delay: 0.5,
        damage: 32,
        roar: "roar",
        can_sprint: true,
        can_sleep: true,
        attack_range: 8
    },
    dilophosaurus: {
        name: "Dilophosaurus",
        offset: { x: 1.5, y: 0.9, z: -3.5 },
        attack_animation: "attack_on_land",
        attack_delay: 0.66,
        damage: 6,
        roar: "roar",
        can_sprint: true,
        can_sleep: true,
        attack_range: 8
    },
    dimetrodon: {
        name: "Dimetrodon",
        offset: { x: 1.5, y: 0.7, z: -3 },
        attack_animation: "attack_on_land",
        attack_delay: 0.45,
        damage: 14,
        roar: undefined,
        can_sprint: true,
        can_sleep: true,
        attack_range: 5
    },
    dryosaurus: {
        name: "Dryosaurus",
        offset: { x: 1.5, y: 1.3, z: -3 },
        attack_animation: undefined,
        attack_delay: undefined,
        damage: undefined,
        roar: undefined,
        can_sprint: true,
        can_sleep: true,
        attack_range: 8
    },
    gallimimus: {
        name: "Gallimimus",
        offset: { x: 1.5, y: 1.4, z: -3.5 },
        attack_animation: undefined,
        attack_delay: undefined,
        damage: undefined,
        roar: "roar",
        can_sprint: true,
        can_sleep: true,
        attack_range: 8
    },
    giganotosaurus: {
        name: "Giganotosaurus",
        offset: { x: 2, y: 0.5, z: -4 },
        attack_animation: "attack_on_land_morph",
        attack_delay: 0.5,
        damage: 24,
        roar: "roar",
        can_sprint: true,
        can_sleep: true,
        attack_range: 14
    },
    apex_trex: {
        name: "Apex Tyrannosaurus Rex",
        offset: { x: 2, y: 1, z: -3.5 },
        attack_animation: "attack_on_land",
        attack_delay: 0.94,
        damage: 36,
        roar: "roar",
        can_sprint: true,
        can_sleep: true,
        attack_range: 10
    },
    apex_raptor: {
        name: "Apex Raptor",
        offset: { x: 1.2, y: 1.5, z: -2.5 },
        attack_animation: "attack_on_land",
        attack_delay: 0.75,
        damage: 26,
        roar: "roar",
        can_sprint: true,
        can_sleep: true,
        attack_range: 10
    },
    mamenchisaurus: {
        name: "Mamenchisaurus",
        offset: { x: 2, y: 2, z: -1 },
        attack_animation: "attack_on_land_morph",
        attack_delay: 1.16,
        damage: 40,
        roar: undefined,
        can_sprint: false,
        can_charge: true,
        can_sleep: true,
        attack_range: 14
    },
    mosasaurus: {
        name: "Mosasaurus",
        offset: { x: 1.5, y: 1, z: -3.5 },
        attack_animation: "attack_on_land",
        attack_delay: 0.5,
        damage: 30,
        roar: undefined,
        attack_range: 10
    },
    oviraptor: {
        name: "Oviraptor",
        offset: { x: 1, y: 0.3, z: -2 },
        attack_animation: "attack_on_land_morph",
        attack_delay: 1.04,
        damage: 8,
        roar: undefined,
        can_sprint: false,
        can_sleep: true,
        attack_range: 4
    },
    pachy: {
        name: "Pachycephalosaurus",
        offset: { x: 1.5, y: 1, z: -3.5 },
        attack_animation: "attack_on_land",
        attack_delay: 0.45,
        damage: 26,
        roar: undefined,
        can_sprint: false,
        can_charge: true,
        can_sleep: true,
        attack_range: 6
    },
    parasaurolophus: {
        name: "Parasaurolophus",
        offset: { x: 1.5, y: 1, z: -3 },
        attack_animation: "attack_on_land_morph",
        attack_delay: 0.58,
        damage: 16,
        roar: undefined,
        can_sprint: false,
        can_charge: true,
        can_sleep: true,
        attack_range: 8
    },
    pteranodon: {
        name: "Pteranodon",
        offset: { x: 0, y: 2, z: -5 },
        attack_animation: "attack_in_air",
        attack_delay: 0.7,
        damage: 20,
        roar: undefined,
        attack_range: 8
    },
    pyroraptor: {
        name: "Pyroraptor",
        offset: { x: 1.5, y: 0.6, z: -2.5 },
        attack_animation: "attack_on_land_morph",
        attack_delay: 0.62,
        damage: 20,
        roar: undefined,
        can_sprint: true,
        can_sleep: true,
        attack_range: 6
    },
    quetzalcoatus: {
        name: "Quetzalcoatus",
        offset: { x: 0, y: 5.6, z: -6 },
        attack_animation: "attack_in_air",
        attack_delay: 0.75,
        damage: 20,
        roar: undefined,
        attack_range: 8
    },
    spinosaurus: {
        name: "Spinosaurus",
        offset: { x: 2, y: 1, z: -5 },
        attack_animation: "attack_on_land_morph",
        attack_delay: 1,
        damage: 16,
        roar: "roar",
        can_sprint: true,
        can_sleep: true,
        attack_range: 12
    },
    stegosaurus: {
        name: "Stegosaurus",
        offset: { x: 1.5, y: 1, z: -3.5 },
        attack_animation: "attack_on_land",
        attack_delay: 1.25,
        damage: 20,
        roar: undefined,
        can_sprint: false,
        can_charge: true,
        can_sleep: true,
        attack_range: 8
    },
    suchomimus: {
        name: "Suchomimus",
        offset: { x: 2, y: 1, z: -3.5 },
        attack_animation: "attack_on_land_morph",
        attack_delay: 0.79,
        damage: 16,
        roar: "roar",
        can_sprint: true,
        can_sleep: true,
        attack_range: 10
    },
    therizinosaurus: {
        name: "Therizinosaurus",
        offset: { x: 2, y: 1, z: -3.5 },
        attack_animation: "attack_on_land",
        attack_delay: 0.79,
        damage: 22,
        roar: "roar",
        can_sprint: true,
        can_sleep: true,
        attack_range: 10
    },
    tylosaurus: {
        name: "Tylosaurus",
        offset: { x: 1.5, y: 1, z: -3.5 },
        attack_animation: "attack_on_land",
        attack_delay: 0.5,
        damage: 28,
        roar: undefined,
        attack_range: 8
    },
    trex: {
        name: "Tyrannosaurus Rex",
        offset: { x: 2, y: 0.6, z: -3.5 },
        attack_animation: "attack_on_land_morph",
        attack_delay: 0.37,
        damage: 20,
        roar: "roar",
        can_sprint: true,
        can_sleep: true,
        attack_range: 10
    },
    velociraptor: {
        name: "Velociraptor",
        offset: { x: 1.5, y: 1, z: -3 },
        attack_animation: "attack_on_land",
        attack_delay: 0.66,
        damage: 14,
        roar: "roar",
        can_sprint: true,
        can_sleep: true,
        attack_range: 7
    },
    triceratops: {
        name: "Triceratops",
        offset: { x: 2, y: 1, z: -3.5 },
        attack_animation: "attack_on_land",
        attack_delay: 0.75,
        damage: 24,
        roar: "roar",
        can_sprint: false,
        can_charge: true,
        can_sleep: true,
        attack_range: 10
    },
};
