import { dinoList, dnaExtract, dnaExtractor } from "./constants";
import { isDinosaur, giveItemToPlayer, setItemDinoDNALore } from "./utilities";
import { NAMESPACE } from "./anvilConstants";
// DNA extractor Crafting --------------------------------------------------------
function getDinosaurDNA(player) {
    player.getEntitiesFromViewDirection({ maxDistance: 4 }).forEach((entity) => {
        if (isDinosaur(entity.entity)) {
            const dinoName = dinoList[entity.entity.typeId.replace(`${NAMESPACE}:`, "")].name;
            giveItemToPlayer(player, setItemDinoDNALore(dnaExtract, dinoName));
        }
    });
}
export function dnaExtractorInteractEvent(eventData) {
    const itemStack = eventData.itemStack;
    const user = eventData.source;
    if (itemStack.typeId === dnaExtractor) {
        getDinosaurDNA(user);
        user.playSound(`${NAMESPACE}:weapons.syringe`);
    }
}
